Package Details: audacium-git 2:1.0.0.r56.ge9ea30102-2

Git Clone URL: https://aur.archlinux.org/audacium-git.git (read-only, click to copy)
Package Base: audacium-git
Description: telemetry free version of audacity
Upstream URL: https://github.com/SartoxOnlyGNU/audacium
Keywords: audacity sound
Licenses: GPL2
Conflicts: audacity, audacity-git, tenacity
Provides: audacity
Submitter: silverhikari
Maintainer: silverhikari
Last Packager: silverhikari
Votes: 10
Popularity: 0.092209
First Submitted: 2021-07-06 00:49 (UTC)
Last Updated: 2022-04-11 22:58 (UTC)

Pinned Comments

Latest Comments

silverhikari commented on 2022-04-18 23:32 (UTC)

@maid i can not seem to replicate the error on my side, you may want to send this issue upstream if this is happening.

maid commented on 2022-04-16 14:45 (UTC)

[ 63%] Linking CXX executable ../bin/Release/audacium /usr/bin/ld: /home/user/.conan/data/wxwidgets/3.1.3.1-audacity///package/70365f27e7267cf55b1e3d938f6197cab6ca82f7/lib/libwx_gtk2u_core-3.1.so: undefined reference to png_read_filter_row_sub4_neon' /usr/bin/ld: /home/user/.conan/data/wxwidgets/3.1.3.1-audacity/_/_/package/70365f27e7267cf55b1e3d938f6197cab6ca82f7/lib/libwx_gtk2u_core-3.1.so: undefined reference topng_read_filter_row_avg3_neon' /usr/bin/ld: /home/user/.conan/data/wxwidgets/3.1.3.1-audacity///package/70365f27e7267cf55b1e3d938f6197cab6ca82f7/lib/libwx_gtk2u_core-3.1.so: undefined reference to png_read_filter_row_sub3_neon' /usr/bin/ld: /home/user/.conan/data/wxwidgets/3.1.3.1-audacity/_/_/package/70365f27e7267cf55b1e3d938f6197cab6ca82f7/lib/libwx_gtk2u_core-3.1.so: undefined reference topng_read_filter_row_paeth3_neon' /usr/bin/ld: /home/user/.conan/data/wxwidgets/3.1.3.1-audacity///package/70365f27e7267cf55b1e3d938f6197cab6ca82f7/lib/libwx_gtk2u_core-3.1.so: undefined reference to png_read_filter_row_up_neon' /usr/bin/ld: /home/user/.conan/data/wxwidgets/3.1.3.1-audacity/_/_/package/70365f27e7267cf55b1e3d938f6197cab6ca82f7/lib/libwx_gtk2u_core-3.1.so: undefined reference topng_read_filter_row_avg4_neon' /usr/bin/ld: /home/user/.conan/data/wxwidgets/3.1.3.1-audacity///package/70365f27e7267cf55b1e3d938f6197cab6ca82f7/lib/libwx_gtk2u_core-3.1.so: undefined reference to `png_read_filter_row_paeth4_neon' collect2: error: ld returned 1 exit status make[2]: [src/CMakeFiles/Audacium.dir/build.make:6986: bin/Release/audacium] Error 1 make[2]: Leaving directory '/tmp/makepkg/audacium-git/src/build' make[1]: [CMakeFiles/Makefile2:1259: src/CMakeFiles/Audacium.dir/all] Error 2 make[1]: Leaving directory '/tmp/makepkg/audacium-git/src/build' make: *** [Makefile:156: all] Error 2 make: Leaving directory '/tmp/makepkg/audacium-git/src/build' ==> ERROR: A failure occurred in build(). Aborting...

silverhikari commented on 2022-04-11 22:59 (UTC)

with the pkgconfig path export for ffmpeg4.4 this package will now build again.

davidalb97 commented on 2022-03-15 13:27 (UTC)

Not building, having the same issue as @ak2021.

maid commented on 2022-03-15 11:41 (UTC) (edited on 2022-03-15 11:43 (UTC) by maid)

Build still terminates with error.

Attempt 1.

libtool/2.4.6: Appending ACLOCAL_PATH env: /home/user/.conan/data/libtool/2.4.6///package/53d6baabfe192151deaeb1d05fbac370d8f2c705/res/aclocal libtool/2.4.6: Appending AUTOMAKE_CONAN_INCLUDES environment variable: /home/user/.conan/data/libtool/2.4.6///package/53d6baabfe192151deaeb1d05fbac370d8f2c705/res/aclocal libuuid/1.0.3: Applying build-requirement: libtool/2.4.6 libuuid/1.0.3: Applying build-requirement: automake/1.16.4 libuuid/1.0.3: Applying build-requirement: autoconf/2.71 libuuid/1.0.3: Applying build-requirement: m4/1.4.19 Downloading conan_sources.tgz libuuid/1.0.3: Configuring sources in /home/user/.conan/data/libuuid/1.0.3///source ERROR: Error downloading file https://downloads.sourceforge.net/project/libuuid/libuuid-1.0.3.tar.gz: 'HTTPSConnectionPool(host='downloads.sourceforge.net', port=443): Max retries exceeded with url: /project/libuuid/libuuid-1.0.3.tar.gz (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x749f2d78>: Failed to establish a new connection: [Errno 111] Connection refused'))' Waiting 5 seconds to retry... ERROR: libuuid/1.0.3: Error in source() method, line 44 tools.get(**self.conan_data["sources"][self.version], ConanException: Error downloading file https://downloads.sourceforge.net/project/libuuid/libuuid-1.0.3.tar.gz: 'HTTPSConnectionPool(host='downloads.sourceforge.net', port=443): Max retries exceeded with url: /project/libuuid/libuuid-1.0.3.tar.gz (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x749f2610>: Failed to establish a new connection: [Errno 111] Connection refused'))' CMake Error at cmake-proxies/cmake-modules/conan.cmake:633 (message): Conan install failed='1' Call Stack (most recent call first): cmake-proxies/cmake-modules/AudacityDependencies.cmake:233 (conan_cmake_install) cmake-proxies/cmake-modules/AudacityDependencies.cmake:254 (_conan_install) CMakeLists.txt:470 (resolve_conan_dependencies)

-- Configuring incomplete, errors occurred! See also "/tmp/makepkg/audacium-git/src/build/CMakeFiles/CMakeOutput.log". See also "/tmp/makepkg/audacium-git/src/build/CMakeFiles/CMakeError.log". ==> ОШИБКА: Произошел сбой в build(). Прерывание...

Attempt 2

[ 62%] Building CXX object src/CMakeFiles/Audacium.dir/AudacityApp.cpp.o In file included from /tmp/makepkg/audacium-git/src/audacium/src/AudacityApp.cpp:83: /tmp/makepkg/audacium-git/src/audacium/src/FFmpeg.h:544:7: error: conflicting declaration of C function <<AVCodec* avcodec_find_encoder(AVCodecID)>> 544 | avcodec_find_encoder, | ^~~~~~~~~~~~~~~~~~~~

ak2021 commented on 2022-03-12 11:43 (UTC) (edited on 2022-03-12 11:45 (UTC) by ak2021)

Doesn't build, fails here


In file included from /var/tmp/pamac-build-user/audacium-git/src/audacium/src/AudacityApp.cpp:83:
/var/tmp/pamac-build-user/audacium-git/src/audacium/src/FFmpeg.h:544:7: error: conflicting declaration of C function ‘AVCodec* avcodec_find_encoder(AVCodecID)’
  544 |       avcodec_find_encoder,
      |       ^~~~~~~~~~~~~~~~~~~~
/var/tmp/pamac-build-user/audacium-git/src/audacium/src/FFmpeg.h:451:16: note: in definition of macro ‘FFMPEG_FUNCTION_WITH_RETURN’
  451 |       inline r n a                                                      \
      |                ^
In file included from /usr/include/libavcodec/avcodec.h:40,
                 from /var/tmp/pamac-build-user/audacium-git/src/audacium/src/FFmpeg.h:48,
                 from /var/tmp/pamac-build-user/audacium-git/src/audacium/src/AudacityApp.cpp:83:
/usr/include/libavcodec/codec.h:392:16: note: previous declaration ‘const AVCodec* avcodec_find_encoder(AVCodecID)’
  392 | const AVCodec *avcodec_find_encoder(enum AVCodecID id);
      |                ^~~~~~~~~~~~~~~~~~~~
In file included from /var/tmp/pamac-build-user/audacium-git/src/audacium/src/AudacityApp.cpp:83:
/var/tmp/pamac-build-user/audacium-git/src/audacium/src/FFmpeg.h:550:7: error: conflicting declaration of C function ‘AVCodec* avcodec_find_encoder_by_name(const char*)’
  550 |       avcodec_find_encoder_by_name,
      |       ^~~~~~~~~~~~~~~~~~~~~~~~~~~~
/var/tmp/pamac-build-user/audacium-git/src/audacium/src/FFmpeg.h:451:16: note: in definition of macro ‘FFMPEG_FUNCTION_WITH_RETURN’
  451 |       inline r n a                                                      \
      |                ^
In file included from /usr/include/libavcodec/avcodec.h:40,
                 from /var/tmp/pamac-build-user/audacium-git/src/audacium/src/FFmpeg.h:48,
                 from /var/tmp/pamac-build-user/audacium-git/src/audacium/src/AudacityApp.cpp:83:
/usr/include/libavcodec/codec.h:400:16: note: previous declaration ‘const AVCodec* avcodec_find_encoder_by_name(const char*)’
  400 | const AVCodec *avcodec_find_encoder_by_name(const char *name);
      |                ^~~~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from /var/tmp/pamac-build-user/audacium-git/src/audacium/src/AudacityApp.cpp:83:
/var/tmp/pamac-build-user/audacium-git/src/audacium/src/FFmpeg.h:556:7: error: conflicting declaration of C function ‘AVCodec* avcodec_find_decoder(AVCodecID)’
  556 |       avcodec_find_decoder,
      |       ^~~~~~~~~~~~~~~~~~~~
/var/tmp/pamac-build-user/audacium-git/src/audacium/src/FFmpeg.h:451:16: note: in definition of macro ‘FFMPEG_FUNCTION_WITH_RETURN’
  451 |       inline r n a                                                      \
      |                ^
In file included from /usr/include/libavcodec/avcodec.h:40,
                 from /var/tmp/pamac-build-user/audacium-git/src/audacium/src/FFmpeg.h:48,
                 from /var/tmp/pamac-build-user/audacium-git/src/audacium/src/AudacityApp.cpp:83:
/usr/include/libavcodec/codec.h:376:16: note: previous declaration ‘const AVCodec* avcodec_find_decoder(AVCodecID)’
  376 | const AVCodec *avcodec_find_decoder(enum AVCodecID id);
      |                ^~~~~~~~~~~~~~~~~~~~
In file included from /var/tmp/pamac-build-user/audacium-git/src/audacium/src/AudacityApp.cpp:83:
/var/tmp/pamac-build-user/audacium-git/src/audacium/src/FFmpeg.h:634:7: error: conflicting declaration of C function ‘int avformat_open_input(AVFormatContext**, const char*, AVInputFormat*, AVDictionary**)’
  634 |       avformat_open_input,
      |       ^~~~~~~~~~~~~~~~~~~
/var/tmp/pamac-build-user/audacium-git/src/audacium/src/FFmpeg.h:451:16: note: in definition of macro ‘FFMPEG_FUNCTION_WITH_RETURN’
  451 |       inline r n a                                                      \
      |                ^
In file included from /var/tmp/pamac-build-user/audacium-git/src/audacium/src/FFmpeg.h:49,
                 from /var/tmp/pamac-build-user/audacium-git/src/audacium/src/AudacityApp.cpp:83:
/usr/include/libavformat/avformat.h:2097:5: note: previous declaration ‘int avformat_open_input(AVFormatContext**, const char*, const AVInputFormat*, AVDictionary**)’
 2097 | int avformat_open_input(AVFormatContext **ps, const char *url,
      |     ^~~~~~~~~~~~~~~~~~~
In file included from /var/tmp/pamac-build-user/audacium-git/src/audacium/src/AudacityApp.cpp:83:
/var/tmp/pamac-build-user/audacium-git/src/audacium/src/FFmpeg.h:716:7: error: conflicting declaration of C function ‘AVOutputFormat* av_guess_format(const char*, const char*, const char*)’
  716 |       av_guess_format,
      |       ^~~~~~~~~~~~~~~
/var/tmp/pamac-build-user/audacium-git/src/audacium/src/FFmpeg.h:451:16: note: in definition of macro ‘FFMPEG_FUNCTION_WITH_RETURN’
  451 |       inline r n a                                                      \
      |                ^
In file included from /var/tmp/pamac-build-user/audacium-git/src/audacium/src/FFmpeg.h:49,
                 from /var/tmp/pamac-build-user/audacium-git/src/audacium/src/AudacityApp.cpp:83:
/usr/include/libavformat/avformat.h:2480:23: note: previous declaration ‘const AVOutputFormat* av_guess_format(const char*, const char*, const char*)’
 2480 | const AVOutputFormat *av_guess_format(const char *short_name,
      |                       ^~~~~~~~~~~~~~~
In file included from /var/tmp/pamac-build-user/audacium-git/src/audacium/src/AudacityApp.cpp:83:
/var/tmp/pamac-build-user/audacium-git/src/audacium/src/FFmpeg.h: In constructor ‘AVPacketEx::AVPacketEx()’:
/var/tmp/pamac-build-user/audacium-git/src/audacium/src/FFmpeg.h:887:21: warning: ‘void av_init_packet(AVPacket*)’ is deprecated [-Wdeprecated-declarations]
  887 |       av_init_packet(this);
      |       ~~~~~~~~~~~~~~^~~~~~
/var/tmp/pamac-build-user/audacium-git/src/audacium/src/FFmpeg.h:738:7: note: declared here
  738 |       av_init_packet,
      |       ^~~~~~~~~~~~~~
/var/tmp/pamac-build-user/audacium-git/src/audacium/src/FFmpeg.h:461:19: note: in definition of macro ‘FFMPEG_FUNCTION_NO_RETURN’
  461 |       inline void n a                                                   \
      |                   ^
/var/tmp/pamac-build-user/audacium-git/src/audacium/src/FFmpeg.h: In member function ‘void AVPacketEx::steal(AVPacketEx&&)’:
/var/tmp/pamac-build-user/audacium-git/src/audacium/src/FFmpeg.h:921:21: warning: ‘void av_init_packet(AVPacket*)’ is deprecated [-Wdeprecated-declarations]
  921 |       av_init_packet(&that);
      |       ~~~~~~~~~~~~~~^~~~~~~
/var/tmp/pamac-build-user/audacium-git/src/audacium/src/FFmpeg.h:738:7: note: declared here
  738 |       av_init_packet,
      |       ^~~~~~~~~~~~~~
/var/tmp/pamac-build-user/audacium-git/src/audacium/src/FFmpeg.h:461:19: note: in definition of macro ‘FFMPEG_FUNCTION_NO_RETURN’
  461 |       inline void n a                                                   \
      |                   ^
make[2]: *** [src/CMakeFiles/Audacium.dir/build.make:173: src/CMakeFiles/Audacium.dir/AudacityApp.cpp.o] Error 1
make[2]: Leaving directory '/var/tmp/pamac-build-user/audacium-git/src/build'
make[1]: *** [CMakeFiles/Makefile2:1259: src/CMakeFiles/Audacium.dir/all] Error 2
make[1]: Leaving directory '/var/tmp/pamac-build-user/audacium-git/src/build'
make: *** [Makefile:156: all] Error 2
make: Leaving directory '/var/tmp/pamac-build-user/audacium-git/src/build'
==> ERROR: A failure occurred in build().
    Aborting...

alerque commented on 2022-03-07 06:29 (UTC)

Until upstream gets ffmpeg v5 support, you can set the dependency to be depends=(ffmpeg4.4).

silverhikari commented on 2022-03-01 04:06 (UTC) (edited on 2022-03-01 04:06 (UTC) by silverhikari)

@maid error has been noted to be caused by the new ffmpeg version n5.0 and sent to upstream audacium

maid commented on 2022-02-28 12:30 (UTC)

Building stop at 64% as I remember. Error occur on ffmpeg.h.

silverhikari commented on 2022-01-11 19:50 (UTC)

@karcher what is the version of conan you are using as using the latest 1.44.0 version seems to work?

karcher commented on 2022-01-09 09:54 (UTC)

Hi all,

I'm getting following error when I try to update:

:: Checking for conflicts...
:: Checking for inner conflicts...
[Aur:1]  audacium-git-2:1.0.0.r29.ga823ce5dc-1

  1 audacium-git                     (Installed) (Build Files Exist)
==> Packages to cleanBuild?
==> [N]one [A]ll [Ab]ort [I]nstalled [No]tInstalled or (1 2 3, 1-3, ^4)
==> 
:: PKGBUILD up to date, Skipping (1/0): audacium-git
  1 audacium-git                     (Installed) (Build Files Exist)
==> Diffs to show?
==> [N]one [A]ll [Ab]ort [I]nstalled [No]tInstalled or (1 2 3, 1-3, ^4)
==> 
:: (1/1) Parsing SRCINFO: audacium-git
==> Making package: audacium-git 2:1.0.0.r29.ga823ce5dc-1 (Sun 09 Jan 2022 10:37:28 AM CET)
==> Retrieving sources...
  -> Updating audacium git repo...
Fetching origin
==> Validating source files with md5sums...
    audacium ... Skipped
==> Making package: audacium-git 2:1.0.0.r29.ga823ce5dc-1 (Sun 09 Jan 2022 10:37:29 AM CET)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Updating audacium git repo...
Fetching origin
==> Validating source files with md5sums...
    audacium ... Skipped
==> Removing existing $srcdir/ directory...
==> Extracting sources...
  -> Creating working copy of audacium git repo...
Cloning into 'audacium'...
done.
==> Starting pkgver()...
==> Sources are ready.
==> Making package: audacium-git 2:1.0.0.r29.ga823ce5dc-1 (Sun 09 Jan 2022 10:37:32 AM CET)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> WARNING: Using existing $srcdir/ tree
==> Starting pkgver()...
==> Removing existing $pkgdir/ directory...
==> Starting build()...
-- The C compiler identification is GNU 11.1.0
-- The CXX compiler identification is GNU 11.1.0
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working C compiler: /usr/bin/cc - skipped
-- Detecting C compile features
-- Detecting C compile features - done
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/c++ - skipped
-- Detecting CXX compile features
-- Detecting CXX compile features - done
CMake Error at cmake-proxies/cmake-modules/conan.cmake:808 (message):
  Conan --version failed='1'
Call Stack (most recent call first):
  cmake-proxies/cmake-modules/conan.cmake:843 (conan_check)
  cmake-proxies/cmake-modules/AudacityDependencies.cmake:4 (conan_add_remote)
  CMakeLists.txt:152 (include)


-- Configuring incomplete, errors occurred!
See also "/home/user/.cache/yay/audacium-git/src/build/CMakeFiles/CMakeOutput.log".
==> ERROR: A failure occurred in build().
    Aborting...
 -> error making: audacium-git

silverhikari commented on 2022-01-02 16:46 (UTC)

@GraysonPeddie trying building it standalone and clearing the pkgbuild to see if that fixes it, and if it didn't can you post what error you get!

GraysonPeddie commented on 2022-01-02 15:46 (UTC)

While upgrading AUR pacckages:

:: Preparing python-node-semver...
==> Making package: google-chrome 96.0.4664.110-1 (Sat 01 Jan 2022 11:54:19 PM EST)
==> WARNING: Skipping dependency checks.
==> Retrieving sources...
  -> Found google-chrome-stable_96.0.4664.110-1_amd64.deb
  -> Found eula_text.html
  -> Found google-chrome-stable.sh
==> WARNING: Skipping all source file integrity checks.
==> Removing existing $srcdir/ directory...
==> Extracting sources...
  -> Extracting google-chrome-stable_96.0.4664.110-1_amd64.deb with bsdtar
==> Sources are ready.
:: Checking python-patch-ng integrity...
/home/ldapusers/gpadmin/.cache/pacaur/audacium-git/PKGBUILD: line 3: syntax error near unexpected token `<<<'
/home/ldapusers/gpadmin/.cache/pacaur/audacium-git/PKGBUILD: line 3: `<<<<<<< Updated upstream'
==> ERROR: Failed to source /home/ldapusers/gpadmin/.cache/pacaur/audacium-git/PKGBUILD
:: Preparing python-patch-ng...
/home/ldapusers/gpadmin/.cache/pacaur/audacium-git/PKGBUILD: line 3: syntax error near unexpected token `<<<'
/home/ldapusers/gpadmin/.cache/pacaur/audacium-git/PKGBUILD: line 3: `<<<<<<< Updated upstream'
==> ERROR: Failed to source /home/ldapusers/gpadmin/.cache/pacaur/audacium-git/PKGBUILD
error: failed to verify integrity or prepare python-patch-ng package
error: failed to verify integrity or prepare python-patch-ng package

silverhikari commented on 2021-12-27 16:04 (UTC) (edited on 2021-12-27 16:04 (UTC) by silverhikari)

@gianmarcogg03 if you are still having that problem, try updating the package again as it could have been a bad commit at the time, and if that does not fix it then send the issue upstream to the audacium git, as this seems to be something more with code itself then with the pkgbuild

gianmarcogg03 commented on 2021-12-25 22:13 (UTC)

I'm getting this error here: https://pastebin.com/aFzVuuxD

silverhikari commented on 2021-12-22 20:30 (UTC)

@alerque i have changed the pkgversion hopefully the version is correct

alerque commented on 2021-12-20 10:34 (UTC)

Upstream has tagged a 1.0.0 release. I've setup a package for stable releases, but this one now needs to adjust so that the pkgver() function filters only tags relevant to this project (not the tags inherited from the audacity repository. Once that works, then the epoch will need bumping again.

silverhikari commented on 2021-12-13 18:17 (UTC)

@alou-S it is not necessary to add pkgconf to the make dependencies as pkgconf is part of base-devel

alou-S commented on 2021-12-12 11:52 (UTC)

I think it will be a good idea to add pkgconfig to the make dependencies. Thanks.

silverhikari commented on 2021-08-30 20:13 (UTC) (edited on 2021-08-30 20:14 (UTC) by silverhikari)

@gdm413229 after looking through the src files i am stumped, i would recommend sending a issues report to audacium and see if it's a problem on their side.

gdm413229 commented on 2021-08-29 21:33 (UTC)

I do have it installed and I added this package to the dependencies, but Conan keeps giving me errors about this particular dependency. (libjpeg-turbo)

Here's the error from the offending Conan recipe for libjpeg-turbo:

ERROR: libjpeg-turbo/2.0.5: Error in configure() method, line 64
    if self.options.enable12bit or not self._simd_extensions_available():
while calling '_simd_extensions_available', line 49
    return not (self.settings.os == "Emscripten" or macos_silicon)
    ConanException: Invalid setting 'Emscripten' is not a valid 'settings.os' value.
Possible values are ['Android', 'Arduino', 'FreeBSD', 'Linux', 'Macos', 'SunOS', 'Windows', 'WindowsStore', 'iOS', 'tvOS', 'watchOS']
Read "http://docs.conan.io/en/latest/faq/troubleshooting.html#error-invalid-setting"

I desperately need a patch and/or a new PKGBUILD for this to build, and installing libjpeg-turbo doesn't fix the build, no matter what! I'm getting very close to having to wage war just to get this package to build!

silverhikari commented on 2021-08-29 02:08 (UTC)

@gdm413229 can you try installing libjpeg-turbo, and see if that fixes the build

gdm413229 commented on 2021-08-28 18:34 (UTC)

Doesn't build for me. The log information is provided below.

The output from stdout:

==> Making package: audacium-git 1:2.4.1.r1709.g4b88a97c1-1 (Sat 28 Aug 2021 18:37:37 BST)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Updating audacium git repo...
Fetching origin
==> Validating source files with md5sums...
==> Removing existing $srcdir/ directory...
==> Extracting sources...
  -> Creating working copy of audacium git repo...
==> Starting pkgver()...
==> Removing existing $pkgdir/ directory...
==> Starting build()...
-- The C compiler identification is GNU 8.4.0
-- The CXX compiler identification is GNU 8.4.0
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working C compiler: /usr/bin/gcc-8 - skipped
-- Detecting C compile features
-- Detecting C compile features - done
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/g++-8 - skipped
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- Conan: Adding audacity remote repository (https://artifactory.audacityteam.org/artifactory/api/conan/conan-local) verify ssl (True)
-- The ASM_NASM compiler identification is NASM
-- Found assembler: /usr/bin/nasm
-- Build Info:
--   Host System: Linux-5.13.12-arch1-1
--   Host System Name: Linux
--   Host System Processor: x86_64
--   Host System Version: 5.13.12-arch1-1
--   Host System Architecture: 64-bit
-- 
--   Compiler: /usr/bin/g++-8
--   Compiler Version: 8.4.0
--   Compiler Standard: 17
--   Compiler Standard Required: ON
--   Compiler Extensions: 
-- 
--   Current Commit: 4b88a97c1
-- 
-- Looking for pow in m
-- Looking for pow in m - found
-- Looking for __atomic_fetch_add_4 in atomic
-- Looking for __atomic_fetch_add_4 in atomic - found
-- Performing Test HAVE_MMX
-- Performing Test HAVE_MMX - Success
-- Performing Test HAVE_SSE
-- Performing Test HAVE_SSE - Success
-- Performing Test HAVE_SSE2
-- Performing Test HAVE_SSE2 - Success
-- Looking for 4 include files float.h, ..., string.h
-- Looking for 4 include files float.h, ..., string.h - found
-- Looking for assert.h
-- Looking for assert.h - found
-- Looking for errno.h
-- Looking for errno.h - found
-- Looking for fcntl.h
-- Looking for fcntl.h - found
-- Looking for fenv.h
-- Looking for fenv.h - found
-- Looking for inttypes.h
-- Looking for inttypes.h - found
-- Looking for limits.h
-- Looking for limits.h - found
-- Looking for malloc.h
-- Looking for malloc.h - found
-- Looking for byteswap.h
-- Looking for byteswap.h - found
-- Looking for memory.h
-- Looking for memory.h - found
-- Looking for stdbool.h
-- Looking for stdbool.h - found
-- Looking for stdint.h
-- Looking for stdint.h - found
-- Looking for stdlib.h
-- Looking for stdlib.h - found
-- Looking for string.h
-- Looking for string.h - found
-- Looking for strings.h
-- Looking for strings.h - found
-- Looking for unistd.h
-- Looking for unistd.h - found
-- Looking for xmmintrin.h
-- Looking for xmmintrin.h - found
-- Looking for sys/param.h
-- Looking for sys/param.h - found
-- Looking for sys/stat.h
-- Looking for sys/stat.h - found
-- Looking for sys/types.h
-- Looking for sys/types.h - found
-- Looking for sys/wait.h
-- Looking for sys/wait.h - found
-- Looking for bcopy
-- Looking for bcopy - found
-- Looking for fileno
-- Looking for fileno - found
-- Looking for flock
-- Looking for flock - found
-- Looking for fork
-- Looking for fork - found
-- Looking for fsync
-- Looking for fsync - found
-- Looking for ftruncate
-- Looking for ftruncate - found
-- Looking for getpagesize
-- Looking for getpagesize - found
-- Looking for gettimeofday
-- Looking for gettimeofday - found
-- Looking for gmtime
-- Looking for gmtime - found
-- Looking for gmtime_r
-- Looking for gmtime_r - found
-- Looking for lrint
-- Looking for lrint - found
-- Looking for lrintf
-- Looking for lrintf - found
-- Looking for lround
-- Looking for lround - found
-- Looking for lstat
-- Looking for lstat - found
-- Looking for memcpy
-- Looking for memcpy - found
-- Looking for memmove
-- Looking for memmove - found
-- Looking for mlock
-- Looking for mlock - found
-- Looking for pipe
-- Looking for pipe - found
-- Looking for posix_fadvise
-- Looking for posix_fadvise - found
-- Looking for posix_memalign
-- Looking for posix_memalign - found
-- Looking for strchr
-- Looking for strchr - found
-- Looking for waitpid
-- Looking for waitpid - found
-- Looking for stddef.h
-- Looking for stddef.h - found
-- Check size of int8_t
-- Check size of int8_t - done
-- Check size of int16_t
-- Check size of int16_t - done
-- Check size of uint16_t
-- Check size of uint16_t - done
-- Check size of u_int16_t
-- Check size of u_int16_t - done
-- Check size of int32_t
-- Check size of int32_t - done
-- Check size of uint32_t
-- Check size of uint32_t - done
-- Check size of u_int32_t
-- Check size of u_int32_t - done
-- Check size of int64_t
-- Check size of int64_t - done
-- Check size of short
-- Check size of short - done
-- Check size of unsigned short
-- Check size of unsigned short - done
-- Check size of int
-- Check size of int - done
-- Check size of unsigned int
-- Check size of unsigned int - done
-- Check size of long
-- Check size of long - done
-- Check size of unsigned long
-- Check size of unsigned long - done
-- Check size of long long
-- Check size of long long - done
-- Check size of unsigned long long
-- Check size of unsigned long long - done
-- Check size of float
-- Check size of float - done
-- Check size of double
-- Check size of double - done
-- Check size of long double
-- Check size of long double - done
-- Check size of loff_t
-- Check size of loff_t - done
-- Check size of off_t
-- Check size of off_t - done
-- Check size of off64_t
-- Check size of off64_t - failed
-- Check size of size_t
-- Check size of size_t - done
-- Check size of wchar_t
-- Check size of wchar_t - done
-- Check size of void*
-- Check size of void* - done
-- Found Python3: /usr/bin/python3.9 (found version "3.9.6") found components: Interpreter 
-- Adding Conan dependency ZLIB
-- Adding Conan dependency expat
-- Adding Conan dependency wxWidgets
-- Adding Conan dependency libmp3lame
-- Adding Conan dependency libid3tag
-- Adding Conan dependency libmad
-- Adding Conan dependency ThreadPool
-- Adding Conan dependency libuuid
-- Adding Conan dependency RapidJSON
-- ========== Configuring sndfile ==========
-- Using 'sndfile' local library
-- Check size of ssize_t
-- Check size of ssize_t - done
-- Check size of int64_t
-- Check size of int64_t - done
-- Looking for S_IRGRP
-- Looking for S_IRGRP - found
-- ========== Configuring soxr ==========
-- Using 'soxr' local library
-- Trying SIMD32 C flags:  
-- Performing Test DETECT_SIMD32_C_FLAGS
-- Performing Test DETECT_SIMD32_C_FLAGS - Success
-- Found SIMD32:    
-- ========== Configuring portaudio ==========
-- Using 'portaudio' local library
-- Found ALSA: /usr/lib/libasound.so (found version "1.2.5.1") 
-- ========== Configuring sqlite ==========
-- Using 'sqlite' local library
-- ========== Configuring ffmpeg ==========
-- Checking for modules 'libavcodec >= 51.53;libavformat >= 52.12;libavutil >= 52.66'
--   Found libavcodec , version 58.134.100
--   Found libavformat , version 58.76.100
--   Found libavutil , version 56.70.100
-- Will dynamically load 'ffmpeg' library at runtime
-- Using 'ffmpeg' system includes
-- ========== Configuring nyquist ==========
-- Using 'nyquist' local library
-- ========== Configuring vamp ==========
-- Using 'vamp' local library
-- ========== Configuring ogg ==========
-- Using 'ogg' local library
-- ========== Configuring vorbis ==========
-- Using 'vorbis' local library
-- ========== Configuring flac ==========
-- Using 'flac' local library
-- ========== Configuring lv2 ==========
-- Using 'lv2' local library
-- Checking for module 'x11'
--   Found x11, version 1.7.2
-- Checking for module 'gtk+-2.0'
--   Found gtk+-2.0, version 2.24.33
-- Checking for module 'gtk+-3.0'
--   Found gtk+-3.0, version 3.24.30
-- Checking for module 'gtk+-x11-2.0'
--   Found gtk+-x11-2.0, version 2.24.33
-- Checking for module 'gtk+-x11-3.0'
--   Found gtk+-x11-3.0, version 3.24.30
-- Checking for module 'QtGui >= 4.4.0'
--   Found QtGui , version 4.8.7
-- Checking for module 'Qt5Widgets >= 5.1.0'
--   Found Qt5Widgets , version 5.15.2
-- ========== Configuring midi ==========
-- Using 'midi' local library
-- ========== Configuring portmixer ==========
-- Using 'portmixer' local library
-- ========== Configuring portsmf ==========
-- Using 'portsmf' local library
-- ========== Configuring sbsms ==========
-- Using 'sbsms' local library
-- Looking for pthread.h
-- Looking for pthread.h - found
-- Performing Test CMAKE_HAVE_LIBC_PTHREAD
-- Performing Test CMAKE_HAVE_LIBC_PTHREAD - Failed
-- Looking for pthread_create in pthreads
-- Looking for pthread_create in pthreads - not found
-- Looking for pthread_create in pthread
-- Looking for pthread_create in pthread - found
-- Found Threads: TRUE  
-- ========== Configuring twolame ==========
-- Using 'twolame' local library
-- Executing Conan:         REQUIRES zlib/1.2.11;expat/2.2.9@audacity/stable;wxwidgets/3.1.3.1-audacity;libmp3lame/3.100;libid3tag/0.15.2b@audacity/stable;libmad/0.15.2b@audacity/stable;threadpool/20140926;libuuid/1.0.3;rapidjson/1.1.0
        GENERATORS cmake_find_package_multi
        BUILD_REQUIRES 

        OPTIONS zlib:shared=True;expat:shared=True;wxwidgets:shared=True;wxwidgets:zlib=zlib;wxwidgets:expat=expat;wxwidgets:compatibility=3.0;wxwidgets:png=libpng;wxwidgets:jpeg=libjpeg-turbo;wxwidgets:tiff=off;wxwidgets:secretstore=False;wxwidgets:opengl=False;wxwidgets:propgrid=False;wxwidgets:ribbon=False;wxwidgets:richtext=False;wxwidgets:stc=False;wxwidgets:webview=False;wxwidgets:help=False;wxwidgets:html_help=False;wxwidgets:fs_inet=False;wxwidgets:protocol=False;libjpeg-turbo:SIMD=False;libid3tag:zlib=conan

-- Configuring packages for Release
-- Conan: checking conan executable
-- Conan: Found program /usr/bin/conan
-- Conan: Version found Conan version 1.39.0
-- Conan executing: /usr/bin/conan install . --build missing --settings build_type=Release --settings compiler=gcc --settings compiler.version=8 --settings compiler.libcxx=libstdc++11
Configuration:
[settings]
arch=x86_64
arch_build=x86_64
build_type=Release
compiler=gcc
compiler.libcxx=libstdc++11
compiler.version=8
os=Linux
os_build=Linux
[options]
[build_requires]
[env]

-- Configuring incomplete, errors occurred!
See also "/home/rae/audacium-git/src/audacium/build/CMakeFiles/CMakeOutput.log".
See also "/home/rae/audacium-git/src/audacium/build/CMakeFiles/CMakeError.log".

The output from stderr:

    audacium ... Skipped
Cloning into 'audacium'...
done.
Updating files:  99% (7809/7819)
Updating files: 100% (7819/7819)
Updating files: 100% (7819/7819), done.
WARN: wxwidgets/3.1.3.1-audacity: requirement expat/2.2.9 overridden by your conanfile to expat/2.2.9@audacity/stable 
ERROR: libjpeg-turbo/2.0.5: Error in configure() method, line 64
    if self.options.enable12bit or not self._simd_extensions_available():
while calling '_simd_extensions_available', line 49
    return not (self.settings.os == "Emscripten" or macos_silicon)
    ConanException: Invalid setting 'Emscripten' is not a valid 'settings.os' value.
Possible values are ['Android', 'Arduino', 'FreeBSD', 'Linux', 'Macos', 'SunOS', 'Windows', 'WindowsStore', 'iOS', 'tvOS', 'watchOS']
Read "http://docs.conan.io/en/latest/faq/troubleshooting.html#error-invalid-setting"
CMake Error at cmake-proxies/cmake-modules/conan.cmake:631 (message):
  Conan install failed='1'
Call Stack (most recent call first):
  cmake-proxies/cmake-modules/AudacityDependencies.cmake:233 (conan_cmake_install)
  cmake-proxies/cmake-modules/AudacityDependencies.cmake:254 (_conan_install)
  CMakeLists.txt:509 (resolve_conan_dependencies)


==> ERROR: A failure occurred in build().
    Aborting...

I do believe Audacity's telemetry system is something that shouldn't exist across the entire spacetime continuum, and the exact Unix timestamp of the introduction of Audacity's current telemetry system shall live in infamy throughout all eternity.

alerque commented on 2021-07-12 12:35 (UTC)

Please review the package guideline. Specifically the pkgver() function here is invalid since the first segment cannot be compared using vercmp. THe Wiki has information on how do do this properly. Also do not include empty declarations, if a value is not used do not include it in the PKGBUILD.

dangerfish commented on 2021-07-11 22:47 (UTC)

I had to include gtk2 in makedepends so that everything would compile without errors.

silverhikari commented on 2021-07-10 18:17 (UTC)

@maid can you try clearing your tmp and buildfiles to see if that fixes it?

maid commented on 2021-07-08 12:01 (UTC)

-- Installing: /tmp/makepkg/audacium-git/pkg/audacium-git/usr/lib/audacity/libz.so.1.2.11 -- Installing: /tmp/makepkg/audacium-git/pkg/audacium-git/usr/lib/audacity/libsuil_x11.so -- Installing: /tmp/makepkg/audacium-git/pkg/audacium-git/usr/lib/audacity/lib-string-utils.so -- Installing: /tmp/makepkg/audacium-git/pkg/audacium-git/usr/lib/audacity/libsuil_x11_in_gtk3.so -- Installing: /tmp/makepkg/audacium-git/pkg/audacium-git/usr/share/applications/audacity.desktop -- Installing: /tmp/makepkg/audacium-git/pkg/audacium-git/usr/share/doc/audacium/LICENSE.txt CMake Error at src/cmake_install.cmake:74 (file): file INSTALL cannot find "/tmp/makepkg/audacium-git/src/audacium/README.txt": No such file or directory. Call Stack (most recent call first): cmake_install.cmake:72 (include)

make: *** [Makefile:83: install] Error 1